import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import { createContext, useContext } from "react";
export var RadioGroupContext = /*#__PURE__*/createContext(null);
export var useRadioProps = function useRadioProps(props) {
  var context = useContext(RadioGroupContext);

  if (!context) {
    return props;
  }

  var name = context.name,
      value = context.value,
      defaultValue = context.defaultValue,
      onChange = context.onChange;
  return _objectSpread(_objectSpread(_objectSpread({}, props), {}, {
    onChange: onChange,
    name: name
  }, value && {
    checked: props.value === value
  }), defaultValue && {
    defaultChecked: props.value === defaultValue
  });
};